Cantera 2.6.0

Namespaces | Functions
plots.h File Reference

Contains declarations for utility functions for outputing to plotting programs. More...

`#include "cantera/base/Array.h"`
`#include "cantera/base/ctexceptions.h"`
`#include <fstream>`
Include dependency graph for plots.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
void | writePlotFile (const std::string &fname, const std::string &fmt, const std::string &plotTitle, const std::vector< std::string > &names, const Array2D &data)
| Write a Plotting file. More...
void | outputTEC (std::ostream &s, const std::string &title, const std::vector< std::string > &names, const Array2D &data)
| Write a Tecplot data file. More...
void | outputExcel (std::ostream &s, const std::string &title, const std::vector< std::string > &names, const Array2D &data)
| Write an Excel spreadsheet in 'csv' form. More...

## Detailed Description

Contains declarations for utility functions for outputing to plotting programs.

Definition in file plots.h.